Bug 159120 - [PATCH] www/rubygem-haml: update to 3.1.2
Summary: [PATCH] www/rubygem-haml: update to 3.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-22 21:30 UTC by Dave Duchscher
Modified: 2011-07-30 13:32 UTC (History)
1 user (show)

See Also:


Attachments
rubygem-haml-3.1.2.patch (1.03 KB, patch)
2011-07-22 21:30 UTC, Dave Duchscher
no flags Details | Diff
rubygem-haml-3.1.2.log (6.73 KB, application/octet-stream)
2011-07-25 20:30 UTC, Robert Gogolok
no flags Details
smime.p7s (4.55 KB, application/pkcs7-signature)
2011-07-29 22:32 UTC, Dave Duchscher
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Duchscher 2011-07-22 21:30:08 UTC
For your consideration.

- Update to 3.1.2
- Fixes an issue with Rails SafeBuffers.
- Brings port to the same version that is installed with Rubygems command.

Port maintainer (gogo@cs.uni-sb.de) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-07-22 21:30:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-07-22 21:30:26 UTC
Maintainer of www/rubygem-haml,

Please note that PR ports/159120 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159120

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-07-22 21:30:29 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Robert Gogolok 2011-07-25 20:30:21 UTC
Thanks for the patch!
But the build fails in my tinderbox, see the attached log file.
Comment 5 Dave Duchscher 2011-07-29 22:32:55 UTC
Here is an updated patch.  I didn't notice that they have split out sass out of haml.  They have also done this with the Emacs modes as they are no longer included in the haml package.  Should I submit a new port for sass?

--
DaveD

--- rubygem-haml-3.1.2.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/www/rubygem-haml/Makefile,v
retrieving revision 1.16
diff -u -r1.16 Makefile
--- Makefile    24 Jun 2011 18:11:30 -0000      1.16
+++ Makefile    29 Jul 2011 21:26:22 -0000
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/www/rubygem-haml/Makefile,v 1.16 2011/06/24 18:11:30 pgollucci Exp $
 
 PORTNAME=      haml
-PORTVERSION=   3.0.25
+PORTVERSION=   3.1.2
 CATEGORIES=    www rubygems
 MASTER_SITES=  RG
 
@@ -16,6 +16,6 @@
 USE_RUBYGEMS=  yes
 RUBYGEM_AUTOPLIST=     yes
 
-PLIST_FILES=   bin/css2sass bin/haml bin/html2haml bin/sass bin/sass-convert
+PLIST_FILES=   bin/haml bin/html2haml
 
 .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/www/rubygem-haml/distinfo,v
retrieving revision 1.14
diff -u -r1.14 distinfo
--- distinfo    24 Jun 2011 18:11:30 -0000      1.14
+++ distinfo    22 Jul 2011 12:55:13 -0000
@@ -1,2 +1,2 @@
-SHA256 (rubygem/haml-3.0.25.gem) = 98bafb508c68b8aae61a5ace85a14f97f9247730e71ce3897b529cee9362c73f
-SIZE (rubygem/haml-3.0.25.gem) = 273408
+SHA256 (rubygem/haml-3.1.2.gem) = 2a6bfae48720af0f99dbb2555224d8a6db653faed60dff0a6b8b0676df271cee
+SIZE (rubygem/haml-3.1.2.gem) = 354304
Comment 6 Steve Wills freebsd_committer 2011-07-30 00:28:06 UTC
Responsible Changed
From-To: ruby->swills

I'll take it.
Comment 7 dfilter service freebsd_committer 2011-07-30 13:21:45 UTC
swills      2011-07-30 12:21:36 UTC

  FreeBSD ports repository

  Modified files:
    www/rubygem-haml     Makefile distinfo 
  Log:
  - Update to 3.1.2
  
  PR:             ports/159120
  Submitted by:   David Duchscher <daved@tamu.edu>
  Approved by:    Robert Gogolok <gogo@cs.uni-sb.de>
  
  Revision  Changes    Path
  1.17      +2 -2      ports/www/rubygem-haml/Makefile
  1.15      +2 -2      ports/www/rubygem-haml/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Steve Wills freebsd_committer 2011-07-30 13:32:51 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!